Loading...
Searching...
No Matches
RpcListener Class Reference

`#include <rpclistener.h>`

Inheritance diagram for RpcListener:

## Signals

void | callSetMolecule (QtGui::Molecule *molecule)

## Public Member Functions

| RpcListener (QObject *parent=nullptr)
void | start ()

## Detailed Description

The RpcListener class is used to implement the remote procedure call interface for the Avogadro application.

## Member Function Documentation

## callSetMolecule

void callSetMolecule | ( | QtGui::Molecule * | molecule | ) |

signal

Calls the MainWidow::setMolecule() method with `molecule`.